> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transit parties

> Update the principal, consignor, or consignee details on a transit declaration.

Update party details for a transit declaration.

Depending on whether it is a departure or arrival declaration, you can use the corresponding endpoint and payload format:

* **Departure**: `PATCH /declarations/transit/{declarationId}/parties`
* **Arrival**: `PATCH /transit-declarations/{id}/parties`

### Path Parameters

<ParamField path="declarationId" type="number" required>
  The unique declaration ID.
</ParamField>

### Examples

<CodeGroup>
  ```json Departure Parties Update theme={null}
  {
    "Principal": {
      "name": "EZC B.V.",
      "eoriNo": "NL123456789",
      "countryCode": "NL"
    },
    "Consignor": {
      "name": "Exporter Ltd (updated)",
      "eoriNo": "NL987654321",
      "countryCode": "NL"
    },
    "Consignee": {
      "name": "Importer GmbH (updated)",
      "countryCode": "DE",
      "city": "Berlin",
      "street": "Berliner Str 2",
      "postcode": "10116"
    }
  }
  ```

  ```json Arrival Parties Update (PATCH /transit-declarations/{id}/parties) theme={null}
  {
    "Principal": {
      "name": "Nordic Living Imports B.V.",
      "street": "Hoofdweg 12",
      "city": "Amsterdam",
      "postcode": "1043 AG",
      "countryCode": "NL",
      "eoriNo": "NL100006139"
    }
  }
  ```
</CodeGroup>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "declarationId": 104,
    "status": "processing"
  }
  ```
</ResponseExample>
